/* COLOR PALETTE
WHITE - #ffffff
OFF YELLOW - #faf2d9
GOLD - #d5af31
*/

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}

body {
    font-family: 'Montserrat', 'Lato', sans-serif, serif;
    background-color: #faf2d9;
}



/* HEADER */

.hamburger img {
    width: 26px;
}

.logo {
    width: 100px;
}

nav {
    background-color: #000;
    position: fixed;
    z-index: 99;
    width: 100%;
}

nav ul {
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 10px 0;
    padding-right: 20px;
}

nav li {
    height: auto;
}

nav a {
    height: 100%;
    padding: 0 10px;
    text-decoration: none;
    display: flex;
    align-items: center;
    color: #d5af31;
}

.header-contact {
    display: flex;
    align-items: center;
    min-width: fit-content;
    white-space: nowrap;
    padding-right: 15px;
}

.header-contact img {
    width: 14px;
}

.header-contact a {
    font-size: 12px;
    color: #d5af31;
}

nav li:first-child {
    margin-right: auto;
}

nav .header-contact {
    margin: 0 auto;
}

.navmenu {
    position: fixed;
    z-index: 100;
    height: 100%;
    width: 100%;
    background-color: #fff;
    display: none;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    font-size: 20px;
    gap: 20px;
}

.close-navmenu {
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

.close-navmenu img {
    width: 26px;
}

.navbar-get-a-quote {
    border: 1px solid #000;
    color: #000;
    background-color: #d5af31;
    border-radius: 20px;
    padding: 6px;
    padding-left: 15px;
    padding-right: 15px;
    margin-left: 10px;
    font-weight: 600;
}

.hide {
    display: none;
}

.get-a-quote {
    background-color: #faf2d9;
    border-radius: 20px;
    text-decoration: none;
    color: #000;
    font-weight: 500;
}

/* Email Form */ 

section {
    padding-top: 70px;
    background-color: #fff;
    padding-left: 30px;
    padding-right: 30px;
}

section p {
    max-width: 500px;
    padding: 5px;
}

.form-wrapper {
    text-align: center;
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
}

.form-details {
    text-align: left;
    padding-left: 10px;
    padding-bottom: 10px;
}

.form-details p {
    font-size: 14px;
}

.row {
    display: flex;
}

.form-control {
    width: 100%;
    border-radius: 20px;
    padding: 7px;
    margin: 5px;
    border-width: 1px;
    font-size: 12px;
}

#name, #company {
    width: 50%;
}

textarea {
    height: 120px;
}

.submit-button {
    border: none;
    border-radius: 20px;
    background-color: #faf2d9;
    padding: 5px;
    padding-left: 20px;
    padding-right: 20px;
    font-weight: 500;
    box-shadow: 1px 4px 4px #eee;;
    margin: 10px auto;
    cursor: pointer;
}

.modal {
    margin: auto;
    border: none;
    border-radius: 20px;
    padding: 20px;
    text-align: justify;
    max-width: 500px;
}

.modal::backdrop {
    background-color: rgb(0,0,0,0.8);
}

#close-modal {
    width: 100px;
    padding: 8px;
    cursor: pointer;
    display: block;
    margin-left: auto;
    border-radius: 20px;
}

/* Footer */

.footer-wrapper {
    display: flex;
    padding: 20px;
    font-size: 12px;
}

.footer-content {
    display: flex;
    flex-direction: column;
    width: min(50vw, 500px);
}

.footer-content-top {
    margin-bottom: auto;
    border-bottom: 1px solid #000;
    padding-bottom: 5px;
}

.footer-content-top img {
    margin-bottom: 5px;
}

.footer-content-bottom {
    width: min(57vw, 300px);
    max-width: 240px;
    margin-top: 30px;
}

.footer-buttons {
    text-align: right;
    margin-left: auto;
    display: flex;
    flex-direction: column;
}

.footer-buttons ul {
    list-style: none;
    display: flex;
    flex-direction: column;
}

.footer-buttons a {
    text-decoration: none;
    color: #000;
}

.footer-buttons-top ul {
    gap: 15px;
}


.footer-buttons-top {
    margin-bottom: auto;
}

.footer-buttons-bottom ul {
    gap: 5px;
}

/* -------------------- Medium devices (tablets, 768px and up) -------------------- */
@media (min-width: 768px) {
    
    /* Header */

    .hamburger img {
        width: 40px;
    }

    .logo {
        width: 180px;
    }

    nav ul {
        padding: 20px 50px;
    }

    .navmenu {
        font-size: 26px;
        gap: 30px;
    }

    .close-navmenu img {
        width: 40px;
    }

    .header-contact img {
        width: 20px;
    }

    .header-contact a {
        font-size: 16px;
        color: #d5af31;
    }

    /* Email Form */ 

    section {
        padding-top: 120px;
    }

    .form-wrapper {
        width: 70%;
        margin: 0 auto;
        max-width: 500px;
    }

    .form-details h1 {
        font-size: 40px;
    }

    .form-details p {
        font-size: 16px;
    }

    .form-control {
        padding: 15px;
        border-radius: 30px;
        font-size: 16px;
    }

    #name, #company {
        width: 50%;
    }

    textarea {
        height: 200px;
    }

    .submit-button {
        border-radius: 20px;
        padding: 10px;
        padding-left: 50px;
        padding-right: 50px;
        font-size: 16px;
    }

    /* Footer */

    .footer-wrapper {
        font-size: 16px;
    }

    .footer-content-bottom {
        max-width: none;
        width: auto;
    }

    .footer-buttons-top ul {
        flex-direction: row-reverse;
        gap: 10px;
    }

}

/* -------------------- Large devices (desktops, 1024px and up) -------------------- */
@media (min-width: 1024px) {

    /* Header */

    header {
        max-width: 1440px;
    }

    .hamburger {
        display: none;
    }

    .hide {
        display: flex;
    }

    .logo {
        width: 150px;
    }

    nav ul {
        padding: 20px 25px;
        max-width: 1500px;
        font-size: 18px;
        margin: 0 auto;
    }

    /* Email Form */ 

    section {
        padding-bottom: 100px;
    }

    .form-wrapper {
        display: flex;
        flex-direction: row-reverse;
        max-width: none;
        margin: 0 auto;
        width: 100%;
        gap: 50px;
    }

    .form-details {
        width: 40%;
    }

    .form-details p {
        max-width: 350px;
    }

    .form-container {
        width: 60%;
        max-width: 500px;
        min-width: 500px;
    }

    /* Footer */

    footer:not(.hide) {
        display: none;
    }

    footer.hide {
        display: block;
        max-width: 1440px;
        margin: 0 auto;
    }

    .footer-logo-img {
        width: 120px;
        padding-bottom: 10px;
    }

    footer h2,
    p {
        font-size: 16px;
    }

    .footer-wrapper-outer {
        display: flex;
        flex-direction: column;
    }

    .footer-wrapper-inner {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .footer-wrapper-inner:first-child {
        border-bottom: 1px solid #000;
    }

    .contact-information {
        padding-top: 10px;
        padding-left: 10px;
    }

    .contact-information h2 {
        padding-bottom: 20px;
    }

    .contact-information-container {
        display: flex;
        max-width: 270px;
        padding: 5px;
    }

    .contact-information-container a {
        text-decoration: none;
    }

    .footer-img {
        width: auto;
        height: 16px;
        padding-right: 10px;
    }
    
    .footer-logo {
        text-align: center;
        margin: 0 auto;
        padding: 30px 0;
    }

    .footer-buttons {
        padding-top: 10px;
        padding-right: 10px;
    }

    .footer-buttons h2 {
        padding-bottom: 20px;
    }

    .footer-buttons-top ul {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
    }
    
    .footer-buttons-bottom {
        padding-top: 70px;
        padding-bottom: 10px;
    }

    .footer-buttons-bottom ul {
        display: flex;
        justify-content: flex-end;
    }

    .back-to-top {
        display: flex;
        align-items: center;
        padding-top: 50px;
    }

    .back-to-top a {
        text-decoration: none;
        color: #000;
    }

    .social-media {
        display: flex;
        flex-direction: column;
        text-align: center;
        padding-top: 20px;
        padding-bottom: 50px;
    }

    .social-media-links {
        gap: 200px;
    }

    .social-media-img {
        width: 30px;
    }

}